<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<f:if condition="{sessions}">
    <f:then>
        <f:if condition="{settings.suggestions}">
            <f:then>
                <f:comment><!-- Show suggestions --></f:comment>
                <f:for each="{sessions}" as="session">
                    <f:for each="{sessions}" as="session">
                        <f:if condition="{session.donotlink} == 0">
                            <f:render partial="Session/Info" arguments="{session: session}" />
                        </f:if>
                    </f:for>
                </f:for>
            </f:then>
            <f:else>
                <div class="o-content   o-content--text">
                    <div class="o-content__inner">
                        <div class="o-content__text">
                            <div class="o-session-list">
                                <f:for each="{sessions}" as="session">
                                    <div class="o-session-list__item">
                                            <h3>
                                                <f:link.action
                                                    pageUid="{settings.session.detail.pid}"
                                                    pluginName="Session"
                                                    controller="Session"
                                                    action="show"
                                                    arguments="{session: session.uid}"
                                                    title="{session.topic}"
                                                    class="o-link o-link--underlined"
                                                >
                                                    {session.topic}
                                                </f:link.action>
                                            </h3>
                                    </div>
                                </f:for>
                            </div>
                        </div>
                    </div>
                </div>
            </f:else>
        </f:if>
    </f:then>
    <f:else>
        <f:comment><!-- No sessions were found --></f:comment>
        <div class="o-content   o-content--text">
            <div class="o-content__inner">
                <div class="o-content__text">
                    <p>{f:translate(key: 'warning-nosessionsfound')}</p>
                </div>
            </div>
        </div>
    </f:else>
</f:if>

</html>
